Qt 5.7 | Qt 3D | C++ Classes | QSpotLight

Qt 5.7.1 Reference Documentation

# QSpotLight Class

(Qt3DRender::QSpotLight)

Encapsulate a Spot Light object in a Qt 3D scene. More...

Header: | #include <QSpotLight>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | SpotLight
Inherits: | QAbstractLight

- List of all members, including inherited members

## Properties

- constantAttenuation : float
- cutOffAngle : float
- linearAttenuation : float

- localDirection : QVector3D
- quadraticAttenuation : float

- 3 properties inherited from Qt3DRender::QAbstractLight
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QSpotLight(Qt3DCore::QNode *parent = nullptr)
QVector3D | attenuation() const
float | constantAttenuation() const
float | cutOffAngle() const
float | linearAttenuation() const
QVector3D | localDirection() const
float | quadraticAttenuation() const

- 3 public functions inherited from Qt3DRender::QAbstractLight
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setConstantAttenuation(float value)
void | setCutOffAngle(float cutOffAngle)
void | setLinearAttenuation(float value)
void | setLocalDirection(const QVector3D &localDirection)
void | setQuadraticAttenuation(float value)

- 2 public slots inherited from Qt3DRender::QAbstractLight
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | constantAttenuationChanged(float constantAttenuation)
void | cutOffAngleChanged(float cutOffAngle)
void | linearAttenuationChanged(float linearAttenuation)
void | localDirectionChanged(const QVector3D &localDirection)
void | quadraticAttenuationChanged(float quadraticAttenuation)

- 2 signals inherited from Qt3DRender::QAbstractLight
- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QSpotLight(QSpotLightPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Encapsulate a Spot Light object in a Qt 3D scene.

## Property Documentation

### constantAttenuation : float

Specifies the constant attenuation of the spot light

Access functions:

float | constantAttenuation() const
void | setConstantAttenuation(float value)

Notifier signal:

void | constantAttenuationChanged(float constantAttenuation)

### cutOffAngle : float

Specifies the cut off angle of the spot light

Access functions:

float | cutOffAngle() const
void | setCutOffAngle(float cutOffAngle)

Notifier signal:

void | cutOffAngleChanged(float cutOffAngle)

### linearAttenuation : float

Specifies the linear attenuation of the spot light

Access functions:

float | linearAttenuation() const
void | setLinearAttenuation(float value)

Notifier signal:

void | linearAttenuationChanged(float linearAttenuation)

### localDirection : QVector3D

Specifies the local direction of the spot light

Access functions:

QVector3D | localDirection() const
void | setLocalDirection(const QVector3D &localDirection)

Notifier signal:

void | localDirectionChanged(const QVector3D &localDirection)

### quadraticAttenuation : float

Specifies the quadratic attenuation of the spot light

Access functions:

float | quadraticAttenuation() const
void | setQuadraticAttenuation(float value)

Notifier signal:

void | quadraticAttenuationChanged(float quadraticAttenuation)

## Member Function Documentation

### QSpotLight::QSpotLight(Qt3DCore::QNode *parent = nullptr)

Constructs a new QSpotLight with the specified parent.

### `[protected]` QSpotLight::QSpotLight(QSpotLightPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### QVector3D QSpotLight::attenuation() const